<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>net.ihe.gazelle.validator</groupId>
		<artifactId>FhirValidator</artifactId>
		<version>4.1.9-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>

	<artifactId>FhirValidator-ear</artifactId>
	<version>4.1.9-SNAPSHOT</version>
	<packaging>ear</packaging>
	<name>FhirValidator - EAR</name>



	<dependencies>
		<!-- Application modules -->
		<dependency>
			<groupId>net.ihe.gazelle.validator</groupId>
			<artifactId>FhirValidator-war</artifactId>
			<version>${project.version}</version>
			<type>war</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.validator</groupId>
			<artifactId>Fhir-Validator-Definition-Adapter</artifactId>
			<version>${project.version}</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.validator</groupId>
			<artifactId>Fhir-Validator-Validation-Peripherals</artifactId>
			<version>${project.version}</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.validator</groupId>
			<artifactId>Fhir-Validator-Common-Adapter</artifactId>
			<version>${project.version}</version>
			<type>ejb</type>
		</dependency>

        <dependency>
            <groupId>net.ihe.gazelle.library</groupId>
            <artifactId>version</artifactId>
            <version>3.0.0</version>
            <type>ejb</type>
        </dependency>

		<dependency>
			<groupId>javax</groupId>
			<artifactId>javaee-api</artifactId>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.validator.common</groupId>
			<artifactId>validation-ws-ejb</artifactId>
			<version>3.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library</groupId>
			<artifactId>home-ejb</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library</groupId>
			<artifactId>cas-client</artifactId>
			<version>2.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library</groupId>
			<artifactId>preference-ejb</artifactId>
			<version>2.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library</groupId>
			<artifactId>ui-service</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library</groupId>
			<artifactId>datatable-component-ejb</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library.tool</groupId>
			<artifactId>servlet-filter</artifactId>
			<version>${tool.version}</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.library.tool</groupId>
			<artifactId>ui-component-ejb</artifactId>
			<version>${tool.version}</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>asm</groupId>
			<artifactId>asm</artifactId>
			<version>3.3.1</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>com.helger</groupId>
			<artifactId>ph-schematron</artifactId>
			<version>5.2.0</version>
		</dependency>

		<dependency>
			<groupId>ca.uhn.hapi.fhir</groupId>
			<artifactId>hapi-fhir-structures-r5</artifactId>
			<version>${hapi.fhir.version}</version>
		</dependency>
	</dependencies>

	<build>

		<resources>
			<resource>
				<filtering>true</filtering>
				<directory>src/main/application</directory>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<artifactId>maven-ear-plugin</artifactId>
				<configuration>
					<finalName>FhirValidator</finalName>
					<filtering>true</filtering>
					<includeLibInApplicationXml>false</includeLibInApplicationXml>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>datatable-component-ejb</artifactId>
							<uri>datatable-component-ejb.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>ui-service</artifactId>
							<uri>ui-service.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library.tool</groupId>
							<artifactId>ui-component-ejb</artifactId>
							<uri>ui-component-ejb.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>home-ejb</artifactId>
							<uri>home-ejb.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.validator.common</groupId>
							<artifactId>validation-ws-ejb</artifactId>
							<uri>validation-ws-ejb.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.validator</groupId>
							<artifactId>Fhir-Validator-Definition-Adapter</artifactId>
							<uri>Fhir-Validator-Definition-Adapter.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.validator</groupId>
							<artifactId>Fhir-Validator-Validation-Peripherals</artifactId>
							<uri>Fhir-Validator-Validation-Peripherals.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.validator</groupId>
							<artifactId>Fhir-Validator-Common-Adapter</artifactId>
							<uri>Fhir-Validator-Common-Adapter.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>version</artifactId>
							<uri>version.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>cas-client</artifactId>
							<uri>cas-client.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library.tool</groupId>
							<artifactId>servlet-filter</artifactId>
							<uri>servlet-filter.jar</uri>
						</ejbModule>

						<ejbModule>
							<groupId>net.ihe.gazelle.library</groupId>
							<artifactId>preference-ejb</artifactId>
							<uri>preference-ejb.jar</uri>
						</ejbModule>

						<webModule>
							<groupId>net.ihe.gazelle.validator</groupId>
							<artifactId>FhirValidator-war</artifactId>
							<contextRoot>/${basename}</contextRoot>
						</webModule>

					</modules>
				</configuration>
			</plugin>

			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<configuration>
					<outputDirectory>${basedir}/target</outputDirectory>
				</configuration>
			</plugin>

			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<descriptors>
						<descriptor>src/main/assembly/soapui.xml</descriptor>
						<descriptor>src/main/assembly/datasource.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
